/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class MarchesSaisieView extends javax.swing.JDialog {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 8683712499051618181L;






	/** Creates new form TemplateJDialog */
    public MarchesSaisieView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        jScrollPane1 = new javax.swing.JScrollPane();
        areaIntitule = new javax.swing.JTextArea();
        jLabel1 = new javax.swing.JLabel();
        passations = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        areaClauses = new javax.swing.JTextArea();
        jLabel4 = new javax.swing.JLabel();
        tfReferenceExterne = new javax.swing.JTextField();
        checkExterne = new javax.swing.JRadioButton();
        tfFin = new javax.swing.JTextField();
        jLabel13 = new javax.swing.JLabel();
        btnGetDebut = new javax.swing.JButton();
        tfDebut = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        btnGetFin = new javax.swing.JButton();
        jLabel17 = new javax.swing.JLabel();
        checkInterne = new javax.swing.JRadioButton();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Classe SNCF : ");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie/Modification d'un marché");

        areaIntitule.setColumns(20);
        areaIntitule.setLineWrap(true);
        areaIntitule.setRows(5);
        jScrollPane1.setViewportView(areaIntitule);

        jLabel1.setFont(new java.awt.Font("Tahoma", 2, 12));
        jLabel1.setText("LIBELLE ");

        passations.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel3.setFont(new java.awt.Font("Tahoma", 2, 12));
        jLabel3.setText("Mode de prestation : ");

        areaClauses.setColumns(20);
        areaClauses.setLineWrap(true);
        areaClauses.setRows(5);
        jScrollPane2.setViewportView(areaClauses);

        jLabel4.setFont(new java.awt.Font("Tahoma", 2, 12));
        jLabel4.setText("Clauses et caractèristiques");

        tfReferenceExterne.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        buttonGroup1.add(checkExterne);
        checkExterne.setText("EXTERNE");

        tfFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("DU");

        tfDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDebut.setNextFocusableComponent(tfFin);

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel14.setText("VALIDITE");

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel15.setText("REF. EXTERNE");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("AU");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel17.setText("TYPE : ");

        buttonGroup1.add(checkInterne);
        checkInterne.setText("INTERNE");

        btnValider.setText("Valider");

        btnAnnuler.setText("Annuler");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel13)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel16)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabel15, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE)
                                    .add(jLabel17))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfReferenceExterne, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(layout.createSequentialGroup()
                                        .add(checkExterne)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(checkInterne))))
                            .add(layout.createSequentialGroup()
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(passations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 215, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 289, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(20, 20, 20))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 576, Short.MAX_VALUE)
                            .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 576, Short.MAX_VALUE))
                        .addContainerGap())
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(btnAnnuler)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider)
                        .addContainerGap())
                    .add(layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 168, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(418, Short.MAX_VALUE))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(btnGetDebut, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel16)
                            .add(tfFin))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel13)
                            .add(tfDebut)
                            .add(jLabel14)))
                    .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel17)
                    .add(checkExterne)
                    .add(checkInterne))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(tfReferenceExterne, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jLabel1)
                .add(4, 4, 4)
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 181, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(passations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jLabel4)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 168, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-612)/2, (screenSize.height-622)/2, 612, 622);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	MarchesSaisieView dialog = new MarchesSaisieView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea areaClauses;
    private javax.swing.JTextArea areaIntitule;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetDebut;
    private javax.swing.JButton btnGetFin;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JRadioButton checkExterne;
    private javax.swing.JRadioButton checkInterne;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JComboBox passations;
    private javax.swing.JTextField tfDebut;
    private javax.swing.JTextField tfFin;
    private javax.swing.JTextField tfReferenceExterne;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailConstantes.ICON_VALID);
        btnAnnuler.setIcon(CocktailConstantes.ICON_CANCEL);

    	btnGetDebut.setIcon(CocktailConstantes.ICON_CALENDAR);
    	btnGetFin.setIcon(CocktailConstantes.ICON_CALENDAR);
		
    }

	public javax.swing.JTextArea getAreaClauses() {
		return areaClauses;
	}

	public void setAreaClauses(javax.swing.JTextArea areaClauses) {
		this.areaClauses = areaClauses;
	}

	public javax.swing.JTextArea getAreaIntitule() {
		return areaIntitule;
	}

	public void setAreaIntitule(javax.swing.JTextArea areaIntitule) {
		this.areaIntitule = areaIntitule;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetDebut() {
		return btnGetDebut;
	}

	public void setBtnGetDebut(javax.swing.JButton btnGetDebut) {
		this.btnGetDebut = btnGetDebut;
	}

	public javax.swing.JButton getBtnGetFin() {
		return btnGetFin;
	}

	public javax.swing.JTextField getTfReferenceExterne() {
		return tfReferenceExterne;
	}

	public void setTfReferenceExterne(javax.swing.JTextField tfReferenceExterne) {
		this.tfReferenceExterne = tfReferenceExterne;
	}

	public void setBtnGetFin(javax.swing.JButton btnGetFin) {
		this.btnGetFin = btnGetFin;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JRadioButton getCheckExterne() {
		return checkExterne;
	}

	public void setCheckExterne(javax.swing.JRadioButton checkExterne) {
		this.checkExterne = checkExterne;
	}

	

	public javax.swing.JRadioButton getCheckInterne() {
		return checkInterne;
	}

	public void setCheckInterne(javax.swing.JRadioButton checkInterne) {
		this.checkInterne = checkInterne;
	}

	public javax.swing.JComboBox getPassations() {
		return passations;
	}

	public void setPassations(javax.swing.JComboBox passations) {
		this.passations = passations;
	}

	public void setPassations(NSArray liste) {

		passations.removeAllItems();
		for (int i=0;i<liste.count();i++)
			passations.addItem(liste.objectAtIndex(i));
	}
	
	public javax.swing.JTextField getTfDebut() {
		return tfDebut;
	}

	public void setTfDebut(javax.swing.JTextField tfDebut) {
		this.tfDebut = tfDebut;
	}

	public javax.swing.JTextField getTfFin() {
		return tfFin;
	}

	public void setTfFin(javax.swing.JTextField tfFin) {
		this.tfFin = tfFin;
	}



}
